#!/usr/bin/env python3
#=======================================================================
#%% useful links
#https://towardsdatascience.com/autoviz-automatically-visualize-any-dataset-ba2691a8b55a
#https://pypi.org/project/autoviz/
#=======================================================================
import os, sys
import pandas as pd
import numpy as np
import re
import argparse
from autoviz.AutoViz_Class import AutoViz_Class

homedir = os.path.expanduser('~')
os.chdir(homedir + '/git/LSHTM_analysis/scripts')
#%%============================================================================
# variables
gene = 'pncA'
drug = 'pyrazinamide'

#%%============================================================================
#==============
# directories
#==============
datadir = homedir + '/' + 'git/Data'
    
indir = datadir + '/' + drug + '/input'
    
outdir = datadir + '/' + drug + '/output'

#=======
# input
#=======
in_filename_plotting = 'car_design.csv'
in_filename_plotting = gene.lower() + '_all_params.csv'
infile_plotting = outdir + '/' + in_filename_plotting
print('plotting file: ', infile_plotting
      , '\n============================================================')
#=======================================================================
plotting_df = pd.read_csv(infile_plotting, sep = ',')
#Instantiate the AutoViz class
AV = AutoViz_Class()
df = AV.AutoViz(infile_plotting)
#df2 = AV.AutoViz(plotting_df)
plotting_df.columns[~plotting_df.columns.isin(df.columns)]
